aboutsummaryrefslogtreecommitdiffstats
path: root/main/font-bitstream-type1/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'main/font-bitstream-type1/APKBUILD')
-rw-r--r--main/font-bitstream-type1/APKBUILD22
1 files changed, 22 insertions, 0 deletions
diff --git a/main/font-bitstream-type1/APKBUILD b/main/font-bitstream-type1/APKBUILD
new file mode 100644
index 0000000000..12f38f0413
--- /dev/null
+++ b/main/font-bitstream-type1/APKBUILD
@@ -0,0 +1,22 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=font-bitstream-type1
+pkgver=1.0.0
+pkgrel=1
+pkgdesc="X.org bitstream Type1 fonts"
+url="http://xorg.freedesktop.org/"
+license="custom"
+depends="encodings font-alias mkfontscale mkfontdir fontconfig"
+makedepends="pkgconfig font-util-dev bdftopcf"
+install=
+source="http://xorg.freedesktop.org/releases/individual/font/$pkgname-$pkgver.tar.bz2"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --with-mapfiles=/usr/share/fonts/util \
+ --with-fontdir=/usr/share/fonts/Type1
+ make || return 1
+ make -j1 DESTDIR="$pkgdir" MKFONTDIR=: MKFONTSCALE=: install || return 1
+}
+
+md5sums="6610475e2e231242f8f2122a709c3695 font-bitstream-type1-1.0.0.tar.bz2"